Package org.bukkit.event.player

# Class PlayerItemConsumeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerItemConsumeEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerItemConsumeEvent extends PlayerEvent implements Cancellable
This event will fire when a player is finishing consuming an item (food, potion, milk bucket).
If the ItemStack is modified the server will use the effects of the new item and not remove the original one from the player's inventory.
If the event is cancelled the effect will not be applied and the item will not be removed from the player's inventory.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerItemConsumeEvent(@NotNull Player player, @NotNull ItemStack item)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull ItemStack`
`getItem()`
Gets the item that is being consumed.
`@Nullable ItemStack`
`getReplacement()`
Return the custom item stack that will replace the consumed item, or null if no custom replacement has been set (which means the default replacement will be used).
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setItem(@Nullable ItemStack item)`
Set the item being consumed
`void`
`setReplacement(@Nullable ItemStack replacement)`
Set a custom item stack to replace the consumed item.

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerItemConsumeEvent

public PlayerItemConsumeEvent(@NotNull @NotNull Player player, @NotNull @NotNull ItemStack item)

Parameters:
  `player` - the player consuming
  `item` - the ItemStack being consumed

## Method Details

### getItem

@NotNull public @NotNull ItemStack getItem()
Gets the item that is being consumed. Modifying the returned item will have no effect, you must use `setItem(org.bukkit.inventory.ItemStack)` instead.

Returns:
  an ItemStack for the item being consumed

### setItem

public void setItem(@Nullable @Nullable ItemStack item)
Set the item being consumed

Parameters:
  `item` - the item being consumed

### getReplacement

@Nullable public @Nullable ItemStack getReplacement()
Return the custom item stack that will replace the consumed item, or null if no custom replacement has been set (which means the default replacement will be used).

Returns:
  The custom item stack that will replace the consumed item or null

### setReplacement

public void setReplacement(@Nullable @Nullable ItemStack replacement)
Set a custom item stack to replace the consumed item. Pass null to clear any custom stack that has been set and use the default replacement.

Parameters:
  `replacement` - Replacement item to set, null to clear any custom stack and use default

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()